What does interreduce do?

11 Dec 2013 14:32 - John Abbott

Status: Closed Start date: 11 Dec 2013

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 2.00 hours

Target version: CoCoA-5.0.9 Spent time: 2.25 hours

Description

Reading Emanuela Napoli's master's thesis I came across the following example:

>>> j := [z^2, y^2*z +y*z, x*z +y*z, y^4 +2*y^3, x*y^2 +y^3 +x*y +y^2, x^2 +2*x*y +y^2, x^2 -2*x, 

y^2 +2*y, z];

>>> interreduced(j);

[z, y^2 +2*y, x^2 +2*x*y -2*y, -2*x*y -2*x +2*y, x +y]

>>> interreduced(It);

[z, x +y, y^2 +2*y]

 

I did not expect that applying interreduce twice would give a different answer.

Is this correct?  If so, we should point it out in the manual.

History

#1 - 18 Dec 2013 12:33 - Anna Maria Bigatti

fixed.  will cvs as soon as I can....

#2 - 24 Jan 2014 20:30 - John Abbott

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to Urgent

- % Done changed from 0 to 50

It would be good to get this issue closed ASAP; it is not especially urgent, but I'd like it fixed before the Alg Comp course starts, and I believe the

issue can be closed with very little effort.

#3 - 28 Jan 2014 14:40 - Anna Maria Bigatti

- Category set to Incomplete function

- Status changed from Resolved to Feedback

- Target version set to CoCoA-5.0.9

- % Done changed from 50 to 90

All done

#4 - 03 Mar 2014 17:56 - Anna Maria Bigatti

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#5 - 02 Apr 2014 18:30 - Anna Maria Bigatti

- Estimated time set to 2.00 h
